# Interface WorkInitial

初始化位姿参数

interface WorkInitial {
distance?: number;
fov?: number;
latitude?: number;
longitude?: number;
mode?: Mode;
offset?: Vector3;
panoIndex?: number;
work: Work;
}

- Defined in lib/five/work/work.ts:52

##### Index

### Properties

distance?
fov?
latitude?
longitude?
mode?
offset?
panoIndex?
work

## Properties

### `Optional` distance

distance?: number

相机距离观察点距离

- Defined in lib/five/work/work.ts:67

### `Optional` fov

fov?: number

相机可视角度（垂直）

- Defined in lib/five/work/work.ts:63

### `Optional` latitude

latitude?: number

相机俯仰角

- Defined in lib/five/work/work.ts:61

### `Optional` longitude

longitude?: number

相机水平角

- Defined in lib/five/work/work.ts:59

### `Optional` mode

mode?: Mode

模态

- Defined in lib/five/work/work.ts:55

### `Optional` offset

offset?: Vector3

相机观察点位置 [x, y, z]

- Defined in lib/five/work/work.ts:65

### `Optional` panoIndex

panoIndex?: number

点位序号

- Defined in lib/five/work/work.ts:57

### work

work: Work

- Defined in lib/five/work/work.ts:53